### Note: Ciano not allowed for packaging in official Fedora repos due to ffmpeg
%bcond_with nonfree

%global uuid    com.github.robertsanseries.%{name}

Name:           ciano
Version:        0.2.1
Release:        1%{?dist}
Summary:        Multimedia file converter focused on simplicity

License:        GPLv3+
URL:            https://robertsanseries.github.io/ciano/
Source0:        https://github.com/robertsanseries/ciano/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(granite)
BuildRequires:  pkgconfig(gtk+-3.0)
%if %{with nonfree}
BuildRequires:  ffmpeg-devel
%endif
Requires:       hicolor-icon-theme

%description
Convert videos, music and pictures with the best possible experience.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{uuid}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{uuid}.lang
%license LICENSE.md
%doc AUTHORS README.md
%{_bindir}/%{uuid}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/pixmaps/*.png
%{_metainfodir}/*.xml


%changelog
* Sun Nov 24 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.2.1-1
- Initial package